com.sun.source.tree

## Interface MemberReferenceTree

- All Superinterfaces:
    ExpressionTree, Tree

      @Exported
      public interface MemberReferenceTree
      extends ExpressionTree

  A tree node for a member reference expression. For example:

         expression # [ identifier | new ]

  Since:
    1.8

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MemberReferenceTree.ReferenceMode` There are two kinds of member references: (i) method references and (ii) constructor references

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberReferenceTree.ReferenceMode` | `getMode()`
    `Name` | `getName()`
    `ExpressionTree` | `getQualifierExpression()`
    `List<? extends ExpressionTree>` | `getTypeArguments()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getMode

          MemberReferenceTree.ReferenceMode getMode()

    - #### getQualifierExpression

          ExpressionTree getQualifierExpression()

    - #### getName

          Name getName()

    - #### getTypeArguments

          List<? extends ExpressionTree> getTypeArguments()

Copyright © 2005, 2015, Oracle and/or its affiliates. All rights reserved.